## gpsbabel 1.4.3

=== gpsbabel/mingw/Makefile ===
CC=/usr/local/cross-tools/bin/i386-mingw32msvc-gcc
VPATH=..:../shapelib

FILES=gpsbabel.exe libexpat.dll ../win32/GPSBabelGUI.exe ../win32/gui-2/README.gui \
  ../README* ../style/README.style ../COPYING ../readme.html

gpsbabel.exe:  wintesto.cmd

include ../Makefile
CFLAGS=-Iinclude -I../coldsync -O $(INHIBIT_USB) $(EXTRA_CFLAGS)
#
# Must define empty (don't comment out the whole line) if you want to 
# override INHIBIT_USB from the parent Makefile.
#
INHIBIT_USB=#-DNO_USB
OSJEEPS=jeeps/gpsusbwin.o

gpsbabel.exe: $(OBJS)
	$(CC) -static $(CFLAGS) $(OBJS) lib/libexpat.a -o gpsbabel.exe  -lsetupapi
	zip -j /tmp/gpsbabel-$(VERSIOND).zip $(FILES)
	cp gpsbabel.exe /tmp

mkwintesto: mkwintesto.c
	/usr/bin/cc mkwintesto.c -o mkwintesto

wintesto.cmd: mkwintesto
	./mkwintesto ../testo

# The "usbfree" target is useful for generating an executable that 
# works on NT 3.5 or 4.0 since it doesn't have USB support and tanks
# on our libsetupapi references.

usbfree:
	$(MAKE) INHIBIT_USB=-DNO_USB gpsbabel-usbfree.exe

gpsbabel-usbfree.exe: $(OBJS)
	$(CC) -static $(CFLAGS) $(OBJS) lib/libexpat.a -o gpsbabel-usbfree.exe
	zip -j /tmp/gpsbabel-nousb-$(VERSIOND).zip gpsbabel-usbfree.exe

=== gpsbabel/win32/gui-2/Makefile ===
#
# requires: unix utilities
#           GNU gettext
#

DCC = dcc32.exe
RC = brcc32.exe

SRC = delphi.pas gnugettext.pas gnugettextD4.pas gnugettextD5.pas \
  gnugettextDx.pas common.pas utils.pas \
  about.pas filter.pas options.pas main.pas select.pas

FRM = about.dfm filter.dfm options.dfm main.dfm select.dfm 

LANG = \
  locale\de\LC_MESSAGES\delphi.mo \
  locale\de\LC_MESSAGES\default.mo \
  locale\de\LC_MESSAGES\gpsbabel.mo \
  locale\es\LC_MESSAGES\delphi.mo \
  locale\es\LC_MESSAGES\default.mo \
  locale\es\LC_MESSAGES\gpsbabel.mo \
  locale\fr\LC_MESSAGES\delphi.mo \
  locale\fr\LC_MESSAGES\default.mo \
  locale\fr\LC_MESSAGES\gpsbabel.mo \
  locale\hu\LC_MESSAGES\delphi.mo \
  locale\hu\LC_MESSAGES\default.mo \
  locale\hu\LC_MESSAGES\gpsbabel.mo \
  locale\it\LC_MESSAGES\delphi.mo \
  locale\it\LC_MESSAGES\default.mo \
  locale\it\LC_MESSAGES\gpsbabel.mo

.suffixes: .po

.po.mo:
	msgfmt -o $@ $<

.rc.res:
	$(RC) $<

.dpr.exe:
	$(DCC) $<

default: GPSBabelGUI.exe

GPSBabelGUI.exe: GPSBabelGUI.dpr GPSBabelGUI.res $(SRC) $(FRM) $(LANG)
	$(DCC) GPSBabelGUI.dpr
	assemble GPSBabelGUI.exe --dxgettext

run:	GPSBabelGUI.exe
	xcopy /Y ..\..\gpsbabel.exe
	xcopy /Y ..\..\mingw\libexpat.dll
	xcopy /Y ..\..\gpsbabel.html
	GPSBabelGUI.exe

GPSBabelGUI.res: GPSBabelGUI.dof dof2rc.exe
	dof2rc GPSBabelGUI
	$(RC) GPSBabelGUI.rc

clean:
	rm -f *.~* *.??~ 
	rm -f *.bak *.dcu *.exe *.mo *.dll *.res *.rc
	rm -f readme.html README readme.xml
	rm -f locale\de\LC_MESSAGES\*.mo
	rm -f locale\es\LC_MESSAGES\*.mo
	rm -f locale\fr\LC_MESSAGES\*.mo
	rm -f locale\hu\LC_MESSAGES\*.mo
	rm -f locale\it\LC_MESSAGES\*.mo

## gpsbabel 1.5.4

=== mingw/Makefile ===
CC=/usr/local/cross-tools/bin/i386-mingw32msvc-gcc
VPATH=..:../shapelib

FILES=gpsbabel.exe ../win32/GPSBabelGUI.exe ../win32/gui-2/README.gui \
  ../README* ../style/README.style ../COPYING ../readme.html

include ../Makefile
CFLAGS=-Iinclude -I../coldsync -O $(INHIBIT_USB) $(EXTRA_CFLAGS)
#
# Must define empty (don't comment out the whole line) if you want to 
# override INHIBIT_USB from the parent Makefile.
#
INHIBIT_USB=#-DNO_USB
OSJEEPS=jeeps/gpsusbwin.o

gpsbabel.exe: $(OBJS)
	$(CC) -static $(CFLAGS) $(OBJS) -o gpsbabel.exe  -lsetupapi
	zip -j /tmp/gpsbabel-$(VERSIOND).zip $(FILES)
	cp gpsbabel.exe /tmp

# The "usbfree" target is useful for generating an executable that 
# works on NT 3.5 or 4.0 since it doesn't have USB support and tanks
# on our libsetupapi references.

usbfree:
	$(MAKE) INHIBIT_USB=-DNO_USB gpsbabel-usbfree.exe

gpsbabel-usbfree.exe: $(OBJS)
	$(CC) -static $(CFLAGS) $(OBJS) -o gpsbabel-usbfree.exe
	zip -j /tmp/gpsbabel-nousb-$(VERSIOND).zip gpsbabel-usbfree.exe

=== debian/changelog ===
gpsbabel (1.5.4-2~mx17+1) mx; urgency=medium

  * Rebuild for MX 17.
  * Convert to 3.0 (quilt) source format.
  * Remove quilt ffrom build-depends.
  * Remove unpatch target from debian/rules.
  * Add libqt5webkit5-dev as alternate B-D.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 13 Feb 2018 16:18:37 -0800

gpsbabel (1.5.4-2) unstable; urgency=medium

  * [cc58f71] Move git repository to github.
  * [fb44d98] Add a debian .travis.yml
  * [28c7ad3] Don't build the gui on [!amd64 arm64 armhf i386 mipsel]
    The recent qtwebengine is not available on all architectures.
    Thanks to Adrian Bunk (Closes: #877808)

 -- Bernd Zeimetz <bzed@debian.org>  Sat, 21 Oct 2017 13:37:08 +0200

gpsbabel (1.5.4-1) unstable; urgency=medium

  * [ee23f26] Merge branch 'upstream'
    - New upstream version.
    - Builds fine with gcc7.
    Thanks to Adrian Bunk (Closes: #872744)
  * [f340fb9] Refreshing patches.
  * [8100370] export QT_SELECT=qt5
  * [522c580] Build for/with QT5.
    Using as build-deps:
    qtbase5-dev
    qtwebengine5-dev
    qttools5-dev-tools
    Thanks to Dmitry Shachnev (Closes: #816808)
  * [7d38162] Depend on dh 10 for comapt level 10.
  * [ada8fa9] Fix building with recent QT5 versions.
  * [d627435] Use qmake instead of qmake-qt4.
  * [c08a568] Updating changelog.

 -- Bernd Zeimetz <bzed@debian.org>  Mon, 28 Aug 2017 23:53:53 +0200

gpsbabel (1.5.3-2) unstable; urgency=medium

  * [b2954b1] Fix skytraq default values.
    Taken from upstream
    Thanks to Jeroen N. Witmond (Closes: #846945)

 -- Bernd Zeimetz <bzed@debian.org>  Sun, 01 Jan 2017 22:06:31 +0100

gpsbabel (1.5.3-1) unstable; urgency=medium

  * [41ba336] Merge branch 'upstream'
  * [9511cf2] removing extra gpsbabel directory from d/rules.
  * [65959cd] Refreshing patches.
  * [cd70dc1] ensur emissing minizip .o files are built
  * [48328e9] Fix help2man call for gpsbabel
  * [bf2c668] Bump dh compat level to 10.
  * [ec910a4] Remove gpsbabel/ from some more places.

 -- Bernd Zeimetz <bzed@debian.org>  Sun, 27 Nov 2016 16:18:18 +0100

gpsbabel (1.5.2-1) unstable; urgency=medium

  * [fda6f38] Merge branch 'upstream'
  * [901aac0] Refreshing patches.

 -- Bernd Zeimetz <bzed@debian.org>  Sun, 25 Oct 2015 20:36:55 +0100

gpsbabel (1.5.0-3) unstable; urgency=medium

  * [5b27c1cd] Install gpsbabel.html only.
    Remove php-ized htmldoc folder.
    The whole documentation is available as pdf anyway.
    Thanks to Axel Beckert (Closes: #755457)

 -- Bernd Zeimetz <bzed@debian.org>  Mon, 04 Aug 2014 16:23:33 +0200

gpsbabel (1.5.0-2) unstable; urgency=medium

  * [d7bbdd34] Add menu and desktop files for gpsbabel-gui.
    Thanks to Julien Valroff (Closes: #592799)
  * [c8c9fc34] Ignore make check results for now.
    Checks fail on various architectures due to endianess/byte ordering
    issues or due to floating point numbers not being completely equal.
  * [bd0b02a9] Build-depend on locales-all.
    make check needs the en_US.UTF8 locale.

 -- Bernd Zeimetz <bzed@debian.org>  Wed, 14 May 2014 22:19:45 +0200

gpsbabel (1.5.0-1) unstable; urgency=medium

  * [72ac73df] Support nocheck in DEB_BUILD_OPTIONS.
  * [3eb772af] Importing upstream version 1.4.4
  * [91e94593] Refreshing patches.
  * [d9a07846] Updating changelog.
  * [e089d5ab] Merging upstream 1.5.0
  * [77258acf] Refreshing patches
  * [cba6d75d] Create/clean autogen directory.

 -- Bernd Zeimetz <bzed@debian.org>  Tue, 13 May 2014 01:19:24 +0200

gpsbabel (1.4.3-1) unstable; urgency=low

  * New upstream release (Closes: #660476)
  * [0754cb61] Merge branch 'upstream'
  * [0dc59f07] Merge branch 'upstream'
  * [337703bb] Refreshing patches.
  * [6e23bc91] Migrate debian/rules and .install files to gpsbabel subdirectory.

 -- Bernd Zeimetz <bzed@debian.org>  Wed, 16 May 2012 23:28:46 +0200

gpsbabel (1.4.2-3) unstable; urgency=low

  * [64bae20c] Use libqtwebkit-dev as build-dependency. (Closes: #629742)

 -- Bernd Zeimetz <bzed@debian.org>  Mon, 04 Jul 2011 16:17:13 +0200

gpsbabel (1.4.2-2) unstable; urgency=low

  * [8251cb18] Work around the issues of the sbuild internal resolver.

 -- Bernd Zeimetz <bzed@debian.org>  Tue, 15 Feb 2011 11:12:09 +0100

gpsbabel (1.4.2-1) unstable; urgency=low

  * [15f28bac] gpsbabel-gui needs to depend on gpsbabel.
    Add the missing dependency.
  * [e5c3f560] Build-depend on libqtwebkit-dev for recent QT versions.
  * [709bd4d9] Merge branch 'upstream'
  * [f0e46422] Refreshing patches for new upstream version.

 -- Bernd Zeimetz <bzed@debian.org>  Mon, 14 Feb 2011 14:14:26 +0100

gpsbabel (1.4.0-1) unstable; urgency=low

  * New upstream version.
  * [37a299e3] Merge branch 'upstream'
  * [01923dca] Removing limited_pointer_type_comparison_fixes patch,
    applied upstream.
  * [4d4ea8f8] Refreshing patches.
  * [f4ef9d52] Add various patches to integrate gpsbabelfe better into
    Debian.
    - Submitting statistics data should be opt-in instead of
      activated by default
    - Disable check for newer versions. apt-get/aptitude takes care of that.
    - Disable check for version differences between gpsbabelfe and gpsbabel.
      The check did not work as expected and dpkg ensures there is
      no difference.

 -- Bernd Zeimetz <bzed@debian.org>  Wed, 23 Jun 2010 01:44:11 +0200

gpsbabel (1.3.7~cvs2-3) unstable; urgency=low

  * [b76106eb] Rename gpsbabel.doc-base parts to stop confusing
    dh_installdocs.
  * [0c9397ce] Split documentation into gpsbabel-doc.
  * [08e7b6ec] Fix build target dependency for build-doc.

 -- Bernd Zeimetz <bzed@debian.org>  Thu, 06 May 2010 12:12:41 +0200

gpsbabel (1.3.7~cvs2-2) unstable; urgency=low

  * [014dfaaa] Use $(QUILT_STAMPFN) instead of patch as dependency. This
    avoids running configure twice.
  * [75bd04e0] Require make check to succeed for a successful build.
  * [fe9c247b] Better dependencies for the install target.
  * [9a028647] Remove build-dependencies on texlive. The tex based
    documentation is not being built anymore.


=== debian/control ===
Source: gpsbabel
Section: utils
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
Bugs: mailto: <stevep@mxlinux.org>
XSBC-Original-Maintainer: Bernd Zeimetz <bzed@debian.org>
Build-Depends: debhelper (>= 10~),
 autotools-dev, autoconf,
 libexpat1-dev, expat, help2man,
 libxml2-utils,
 libusb-dev, zlib1g-dev,
 qtbase5-dev,
 qtwebengine5-dev [amd64 arm64 armhf i386 mipsel] | libqt5webkit5-dev,
 qttools5-dev-tools,
 imagemagick,
 locales-all,
 fakeroot
Build-Depends-Indep: fop [!mips], xsltproc, docbook-xml,
 docbook-xsl, libpaper-dev 
Standards-Version: 3.8.4
Homepage: http://www.gpsbabel.org/
Vcs-Git: https://github.com/bzed/pkg-gpsbabel.git
Vcs-Browser: https://github.com/bzed/pkg-gpsbabel

Package: gpsbabel
Architecture: any
Recommends: gpsbabel-doc
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: GPS file conversion plus transfer to/from GPS units
 GPSBabel converts waypoints, tracks, and routes from one format to
 another, whether that format is a common mapping format like Delorme,
 Streets and Trips, or even a serial upload or download to a GPS unit
 such as those from Garmin and Magellan.
 .
 GPSBabel supports dozens of data formats and will be useful for tasks
 such as geocaching, mapping, and converting from one GPS unit to another.
 Among the interesting formats it supports are several GPS devices via
 a serial link, various PDA-based mapping programs, and various
 Geocaching data formats.
 .
 Among others GPSBabel supports the following formats:
 .
 Cetus, CoPilot Flight Planner, CSV, Custom CSV, Delorme Street Atlas,
 Delorme Street Atlas 2004 Plus, Delorms GPS Log, Delorme routes,
 DNA, EasyGPS Binary, Fugawi, Garmin serial, Geocaching.com loc,
 GeocachingDB, Geoniche, GPilotS, GPSDrive, GPSman, GPSPilot,
 gpsutil, GPX, Holux, IGC, Magellan serial, Magellan SD,
 Magellan Navigator Companion, Mapopolis.Com Mapconverter, Mapsend,
 Mapsource, Maptech, Microsoft Streets and Trips, Navicache,
 Netstumbler, NIMA/GNIS Geographic Names, NMEA sentences, OziExplorer,
 PalmDoc, PCX5, PocketStreets 2002 Pushpin, PSITrex, Quovadis,
 Tab-separated data, Tiger, TopoMapPro, Topo by National Geographic,
 xcsv, xmap, xmapwpt.

Package: gpsbabel-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Suggests: gpsbabel, pdf-viewer | www-browser
Description: GPS file conversion plus transfer to/from GPS units
 GPSBabel converts waypoints, tracks, and routes from one format to
 another, whether that format is a common mapping format like Delorme,
 Streets and Trips, or even a serial upload or download to a GPS unit
 such as those from Garmin and Magellan.
 .
 GPSBabel supports dozens of data formats and will be useful for tasks
 such as geocaching, mapping, and converting from one GPS unit to another.
 Among the interesting formats it supports are several GPS devices via
 a serial link, various PDA-based mapping programs, and various
 Geocaching data formats.
 .
 This package contains the detailed documentation of gpsbabel.

Package: gpsbabel-gui
Architecture: amd64 arm64 armhf i386 mipsel
Depends: ${shlibs:Depends}, ${misc:Depends}, gpsbabel (= ${binary:Version})
Description: GPS file conversion plus transfer to/from GPS units - GUI
 GPSBabel converts waypoints, tracks, and routes from one format to
 another, whether that format is a common mapping format like Delorme,
 Streets and Trips, or even a serial upload or download to a GPS unit
 such as those from Garmin and Magellan.
 .
 This package contains gpsbabelfe, a QT based frontend for gpsbabel.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export QT_SELECT=qt5


PKG_GPSBABEL=gpsbabel
PKG_GPSBABEL_GUI=gpsbabel-gui
DOCTEMP = $(CURDIR)/debian/doctmp
VERSION := $(shell dpkg-parsechangelog | awk '/^Version/ {print $$2}')
HOSTARCH := $(strip $(shell dpkg-architecture -qDEB_HOST_ARCH_CPU))

#we use quilt to handle our patches
# not any more!--converted to 3.0 (quilt)  Stevep
# include /usr/share/quilt/quilt.make


CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

# Extended precision on i386 results in weird bugs, so we build
# with -ffloat-store.
ifeq (i386,$(HOSTARCH))
CFLAGS += -ffloat-store
endif

LDFLAGS +=  -Wl,-z,defs
CONFENV = LDFLAGS="$(LDFLAGS)" CFLAGS="$(CFLAGS)"


configure: configure-stamp gui/Makefile
configure-stamp: $(QUILT_STAMPFN)
	dh_testdir
	dh_autotools-dev_updateconfig
	mkdir -p xmldoc/autogen
	$(CONFENV) ./configure \
		--with-zlib=system \
		--with-doc=$(DOCTEMP) \
		--prefix=/usr

	touch $@

debian/gpsbabel.1: build-stamp
	export PATH="$(CURDIR)/gpsbabel:$$PATH" ;\
	help2man 	--manual='gpsbabel documentation' \
			--section=1 \
			--name='GPS route and waypoint data converter' \
			--source='http://www.gpsbabel.org' \
			--locale=C \
			-N \
			--version-string=$(VERSION) \
			--opt-include=$(CURDIR)/debian/gpsbabel.help2man \
			-o $@ \
			./gpsbabel

gui/Makefile: $(QUILT_STAMPFN)
	set -e; cd gui; if dpkg -s qtwebengine5-dev; then \
	    qmake; \
	else \
	    echo -e '#!/usr/bin/make -f\n\n%:\n\techo $$@' > Makefile ; \
	fi

debian/gpsbabel.xpm: gui/images/appicon.png
	convert -resize 32x32 $< $@

BUILD_TARGETS_ARCH = build-stamp build-gui-stamp debian/gpsbabel.1
BUILD_TARGETS_INDEP = build-doc-stamp
# indep targets are only built by binary-indep.
build: $(BUILD_TARGETS_ARCH)

build-stamp: configure-stamp debian/gpsbabel.xpm
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
	chmod u+x testo
	$(MAKE) check || true
endif

	touch $@

# We need a gpsbabel binary to build the documentation.
build-doc-stamp: build-stamp
	mkdir -p debian/doctmp/htmldoc-devel
	perl xmldoc/makedoc && cd ..
	$(MAKE) gpsbabel.html
	cp gpsbabel.html debian/doctmp
	cp $(CURDIR)/debian/gpsbabel-doc.doc-base-common $(CURDIR)/debian/gpsbabel-doc.doc-base
ifneq (mips,$(HOSTARCH))
	$(MAKE) gpsbabel.pdf WEB=$(DOCTEMP) DOCVERSION=devel
	cp gpsbabel.pdf $(DOCTEMP)
	cat $(CURDIR)/debian/gpsbabel-doc.doc-base-pdf >> $(CURDIR)/debian/gpsbabel-doc.doc-base
endif
	rm -rf debian/doctmp/htmldoc-devel
	touch $@

build-gui: build-gui-stamp
build-gui-stamp: gui/Makefile
	if dpkg -s qtwebengine5-dev; then $(MAKE) gui; fi
	touch $@

clean: clean-patched
clean-patched:
	dh_testdir
	dh_testroot 
	rm -f *-stamp dep doc/*.ps
	rm -rf xmldoc/autogen
	rm -f debian/gpsbabel.xpm

	# Add here commands to clean up after the build process.
	[ ! -f Makefile ] || $(MAKE) clean
	[ ! -f gui/Makefile ] || $(MAKE) gui clean
	rm -rf debian/doctmp xmldoc/autogen/*
	rm -rf Makefile config.h config.log config.status \
		gpsbabel.fo tools/mkcapabilities win32/gpsbabel.rc \
		xmldoc/makedoc \
		zlib/empty jeeps/Makefile shapelib/Makefile
	rm -f debian/*.inc
	rm -rf gui/Makefile gui/objects gui/setup.iss
	rm -f debian/gpsbabel.1
	rm -f gpsbabel.pdf
	rm -f gui/makelinuxdist.sh
	rm -f   xmldoc/formats/tomtom_itn_places.xml \
		xmldoc/formats/options/naviguide-reorder.xml \
		xmldoc/formats/options/naviguide-output.xml \
		xmldoc/filters/options/track-trk2seg.xml \
		xmldoc/filters/options/track-seg2trk.xml
	rm -f gbversion.h
	rm -f $(CURDIR)/debian/gpsbabel-doc.doc-base
	dh_autotools-dev_restoreconfig
	dh_clean

install-prep:
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

install-arch: $(BUILD_TARGETS_ARCH) install-prep

	# Add here commands to install the package into debian/gpsbabel.
	$(MAKE) install DESTDIR=$(CURDIR)/debian/gpsbabel

	dh_install -a 

install-indep: $(BUILD_TARGETS_INDEP) install-prep
	dh_install -i


install: install-arch install-indep

# Build architecture-independent files here.
binary-indep: build-indep install-indep
	dh_testdir 
	dh_testroot
	dh_installchangelogs -i 
	dh_installdocs -i
	dh_link -i 
	dh_compress -i -X.pdf -X.html
	dh_fixperms -i
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

# Build architecture-dependent files here.
binary-arch: build-arch install-arch
	dh_testdir
	dh_testroot
	dh_installchangelogs -a
	dh_installdocs -a
	dh_installman -a
	dh_installmenu -a
	dh_strip -a
	dh_compress -a -X.pdf -X.html
	dh_fixperms -a
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install install-prep install-arch install-indep build-arch build-indep configure

## gpsbabel 1.6.0%2Bds

=== debian/changelog ===
gpsbabel (1.6.0+ds-10build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 07:15:21 +0100

gpsbabel (1.6.0+ds-10) unstable; urgency=medium

  * [a1fdee8] Install gmapbase.html.
    Also patch a useful path into gpsbabelfe. (LP: #1015886)

 -- Bernd Zeimetz <bzed@debian.org>  Sun, 22 Dec 2019 00:27:08 +0100

gpsbabel (1.6.0+ds-9) unstable; urgency=medium

  * [a1fdee8] Install gmapbase.html.
    Also patch a useful path into gpsbabelfe. (LP: #1015886)

 -- Bernd Zeimetz <bzed@debian.org>  Sat, 21 Dec 2019 23:45:28 +0100

gpsbabel (1.6.0+ds-8) unstable; urgency=medium

  * Add patch for "super gps"
    Thanks to Tim Connors (Closes: #935373)

 -- Jochen Sprickerhof <jspricke@debian.org>  Tue, 24 Sep 2019 22:09:09 +0200

gpsbabel (1.6.0+ds-7) unstable; urgency=medium

  * Drop old build dependency
  * Fix build depends

 -- Jochen Sprickerhof <jspricke@debian.org>  Tue, 03 Sep 2019 23:46:06 +0200

gpsbabel (1.6.0+ds-6) unstable; urgency=medium

  * Use upstream manpage
    (Closes: #522332, #618856, #803509, #803512, #698326, #862299)
  * Drop note about quilt
  * Add patch for cross compilation.
    Thanks to Helmut Grohne (Closes: #934849)

 -- Jochen Sprickerhof <jspricke@debian.org>  Tue, 03 Sep 2019 21:28:10 +0200

gpsbabel (1.6.0+ds-5) unstable; urgency=medium

  * Only override build-arch in d/rules, fixes building on all

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 26 Jul 2019 15:54:26 +0200

gpsbabel (1.6.0+ds-4) unstable; urgency=medium

  * Fix gpsbabel-gui package (Closes: #932875)

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 26 Jul 2019 11:12:00 +0200

gpsbabel (1.6.0+ds-3) unstable; urgency=medium

  * Build pdf on mips again as #580333 was fixed
  * Ignore test results on some architectures

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 19 Jul 2019 14:08:44 +0200

gpsbabel (1.6.0+ds-2) unstable; urgency=medium

  * Build doc in build-indep

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 19 Jul 2019 00:55:34 +0200

gpsbabel (1.6.0+ds-1) unstable; urgency=medium

  [ Jochen Sprickerhof ]
  * Cleanup upstream sources
  * New upstream version (Closes: #805355)
  * Fix debian/source/format
  * Add watch file
  * Rebase patches
  * Add patches to use system libraries
  * Port to dh 12 (Closes: #912089)
  * Update copyright

  [ Bernd Zeimetz ]
  * Use gitlab-ci instead of travis
  * Update Vcs-Git Urls.

  [ Jochen Sprickerhof ]
  * Maintainer set to team and add myself as uploader
  * Bump policy version (no changes)

 -- Jochen Sprickerhof <jspricke@debian.org>  Thu, 18 Jul 2019 23:32:20 +0200

=== debian/control ===
--- 
+++ 
@@ -1,26 +1,27 @@
 Source: gpsbabel
 Section: utils
 Priority: optional
-Maintainer: Steven Pusser <stevep@mxlinux.org>
-Bugs: mailto: <stevep@mxlinux.org>
-XSBC-Original-Maintainer: Bernd Zeimetz <bzed@debian.org>
-Build-Depends: debhelper (>= 10~),
- autotools-dev, autoconf,
- libexpat1-dev, expat, help2man,
+Maintainer: Debian GPS team <gpsbabel@packages.debian.org>
+Uploaders: Bernd Zeimetz <bzed@debian.org>, Jochen Sprickerhof <jspricke@debian.org>
+Build-Depends: debhelper-compat (= 12),
+ pkg-config,
+ libexpat1-dev, expat,
  libxml2-utils,
  libusb-dev, zlib1g-dev,
- qtbase5-dev,
- qtwebengine5-dev [amd64 arm64 armhf i386 mipsel] | libqt5webkit5-dev,
+ libshp-dev,
+ qt5-default,
+ qtwebengine5-dev [amd64 arm64 armhf i386 mipsel],
  qttools5-dev-tools,
  imagemagick,
  locales-all,
- fakeroot
-Build-Depends-Indep: fop [!mips], xsltproc, docbook-xml,
- docbook-xsl, libpaper-dev 
-Standards-Version: 3.8.4
+ xsltproc,
+ docbook-xsl
+Build-Depends-Indep: fop, docbook-xml, libpaper-dev
+Standards-Version: 4.4.0
+Rules-Requires-Root: no
 Homepage: http://www.gpsbabel.org/
-Vcs-Git: https://github.com/bzed/pkg-gpsbabel.git
-Vcs-Browser: https://github.com/bzed/pkg-gpsbabel
+Vcs-Git: https://salsa.debian.org/debian-gps-team/pkg-gpsbabel.git
+Vcs-Browser: https://salsa.debian.org/debian-gps-team/pkg-gpsbabel
 
 Package: gpsbabel
 Architecture: any
@@ -54,10 +55,11 @@
 
 Package: gpsbabel-doc
 Architecture: all
+Multi-Arch: foreign
 Section: doc
 Depends: ${misc:Depends}
 Suggests: gpsbabel, pdf-viewer | www-browser
-Description: GPS file conversion plus transfer to/from GPS units
+Description: GPS file conversion plus transfer to/from GPS units - documentation
  GPSBabel converts waypoints, tracks, and routes from one format to
  another, whether that format is a common mapping format like Delorme,
  Streets and Trips, or even a serial upload or download to a GPS unit

## gpsbabel 1.6.0+ds

=== CMakeLists.txt ===

# It isn't clear what the minimum required version is.
# tested against 3.10.2 on ubuntu bionic 2018/07/05
# tested against 3.5.1 on ubuntu xenial 2018/07/05
# tested against MSVC 2017 which included 3.11.* 2018/07/05
cmake_minimum_required(VERSION 3.5.1)

project(gpsbabel)

set(CMAKE_CXX_STANDARD 14)

# Find includes in corresponding build directories
set(CMAKE_INCLUDE_CURRENT_DIR ON)

# Find the Qt5Core library
find_package(Qt5 COMPONENTS Core REQUIRED)
message("Qt5Core_VERSION String describing the version of the module: \"${Qt5Core_VERSION}\"")
message("Qt5Core_LIBRARIES List of libraries for use with the target_link_libraries command: \"${Qt5Core_LIBRARIES}\"")
message("Qt5Core_INCLUDE_DIRS List of directories for use with the include_directories command: \"${Qt5Core_INCLUDE_DIRS}\"")
message("Qt5Core_DEFINITIONS List of definitions for use with add_definitions: \"${Qt5Core_DEFINITIONS}\"")
message("Qt5Core_COMPILE_DEFINITIONS List of definitions for use with the COMPILE_DEFINITIONS target property: \"${Qt5Core_COMPILE_DEFINITIONS}\"")
message("Qt5Core_FOUND Boolean describing whether the module was found successfully: \"${Qt5Core_FOUND}\"")
message("Qt5Core_EXECUTABLE_COMPILE_FLAGS String of flags to be used when building executables: \"${Qt5Core_EXECUTABLE_COMPILE_FLAGS}\"")
if (${Qt5Core_VERSION} VERSION_LESS 5.9)
  message(FATAL_ERROR "Qt version ${Qt5Core_VERSION} found, but version 5.9 or newer is required.")
endif()
include_directories(AFTER SYSTEM ${Qt5Core_INCLUDE_DIRS})
add_definitions(${Qt5Core_DEFINITIONS})

set(MINIMAL_FMTS
  magproto.cc explorist_ini.cc gpx.cc geo.cc mapsend.cc mapsource.cc garmin.cc
  garmin_device_xml.cc garmin_tables.cc internal_styles.cc nmea.cc
  kml.cc wbt-200.cc
)

set(ALL_FMTS
  ${MINIMAL_FMTS} gtm.cc gpsutil.cc pcx.cc
  skytraq.cc holux.cc tmpro.cc tpg.cc tpo.cc
  xcsv.cc tiger.cc easygps.cc
  saroute.cc navicache.cc psitrex.cc delgpl.cc
  ozi.cc text.cc html.cc netstumbler.cc
  igc.cc brauniger_iq.cc shape.cc hiketech.cc glogbook.cc
  vcf.cc lowranceusr.cc an1.cc tomtom.cc
  tef_xml.cc maggeo.cc vitosmt.cc gdb.cc bcr.cc
  ignrando.cc stmwpp.cc cst.cc nmn4.cc compegps.cc
  yahoo.cc unicsv.cc wfff_xml.cc garmin_txt.cc gpssim.cc
  stmsdf.cc gtrnctr.cc dmtlog.cc raymarine.cc alan.cc vitovtt.cc
  ggv_log.cc g7towin.cc garmin_gpi.cc lmx.cc random.cc xol.cc dg-100.cc
  navilink.cc mtk_logger.cc ik3d.cc osm.cc destinator.cc exif.cc vidaone.cc
  igo8.cc gopal.cc humminbird.cc mapasia.cc gnav_trl.cc navitel.cc ggv_ovl.cc
  jtr.cc sbp.cc sbn.cc mmo.cc skyforce.cc itracku.cc v900.cc
  pocketfms_bc.cc pocketfms_fp.cc pocketfms_wp.cc naviguide.cc enigma.cc
  vpl.cc teletype.cc jogmap.cc bushnell.cc bushnell_trl.cc wintec_tes.cc
  subrip.cc garmin_xt.cc garmin_fit.cc
  mtk_locus.cc googledir.cc mapbar_track.cc mapfactor.cc f90g_track.cc
  energympro.cc mynav.cc ggv_bin.cc globalsat_sport.cc geojson.cc
)

#DEPRECATED_FMTS=cetus.cc copilot.cc gpspilot.cc magnav.cc psp.cc gcdb.cc quovadis.cc gpilots.cc geoniche.cc palmdoc.cc hsa_ndv.cc coastexp.cc pathaway.cc coto.cc msroute.cc mag_pdb.cc axim_gpb.cc delbin.cc google.cc

#DEPRECATED_HEADERS=geo.h quovadis.h
#DEPRECATED_SHAPE=pdbfile.cc

# ALL_FMTS=$$MINIMAL_FMTS
set(FILTERS
  position.cc radius.cc duplicate.cc arcdist.cc polygon.cc smplrout.cc
  reverse_route.cc sort.cc stackfilter.cc trackfilter.cc discard.cc
  nukedata.cc interpolate.cc transform.cc height.cc swapdata.cc bend.cc
  validate.cc
)

set(SHAPE
  shapelib/shpopen.c shapelib/dbfopen.c shapelib/safileio.c
)

set(ZLIB
  zlib/adler32.c zlib/compress.c zlib/crc32.c zlib/deflate.c zlib/inffast.c
  zlib/inflate.c zlib/infback.c zlib/inftrees.c zlib/trees.c
  zlib/uncompr.c zlib/gzlib.c zlib/gzclose.c zlib/gzread.c
  zlib/gzwrite.c zlib/zutil.c
)

set(JEEPS
  jeeps/gpsapp.cc jeeps/gpscom.cc
  jeeps/gpsmath.cc jeeps/gpsmem.cc 
  jeeps/gpsprot.cc jeeps/gpsread.cc
  jeeps/gpsdevice.cc jeeps/gpsdevice_ser.cc jeeps/gpsdevice_usb.cc
  jeeps/gpsrqst.cc jeeps/gpssend.cc jeeps/gpsserial.cc jeeps/jgpsutil.cc
  jeeps/gpsusbread.cc jeeps/gpsusbsend.cc
  jeeps/gpsusbcommon.cc
)

set(SUPPORT
  route.cc waypt.cc filter_vecs.cc util.cc vecs.cc mkshort.cc
  csv_util.cc strptime.c grtcirc.cc util_crc.cc xmlgeneric.cc
  formspec.cc xmltag.cc cet.cc cet_util.cc fatal.cc rgbcolors.cc
  inifile.cc garmin_fs.cc units.cc gbser.cc
  gbfile.cc parse.cc session.cc main.cc globals.cc
  src/core/textstream.cc
  src/core/usasciicodec.cc
  src/core/xmlstreamwriter.cc 
)

set(HEADERS
  an1sym.h
  cet.h
  cet/ansi_x3_4_1968.h
  cet/cp1252.h
  cet/iso_8859_8.h
  cet_util.h
  csv_util.h
  defs.h
  explorist_ini.h
  filter.h
  filterdefs.h
  garmin_device_xml.h
  garmin_fs.h
  garmin_gpi.h
  garmin_tables.h
  gbfile.h
  gbser.h
  gbser_private.h
  gbversion.h
  grtcirc.h
  heightgrid.h
  holux.h
  inifile.h
  jeeps/garminusb.h
  jeeps/gps.h
  jeeps/gpsapp.h
  jeeps/gpscom.h
  jeeps/gpsdatum.h
  jeeps/gpsdevice.h
  jeeps/gpsfmt.h
  jeeps/gpsmath.h
  jeeps/gpsmem.h
  jeeps/gpsport.h
  jeeps/gpsprot.h
  jeeps/gpsread.h
  jeeps/gpsrqst.h
  jeeps/gpssend.h
  jeeps/gpsserial.h
  jeeps/gpsusbcommon.h
  jeeps/gpsusbint.h
  jeeps/gpsutil.h
  magellan.h
  mapsend.h
  navilink.h
  session.h
  shapelib/shapefil.h
  strptime.h
  xcsv.h
  xmlgeneric.h
  zlib/crc32.h
  zlib/deflate.h
  zlib/gzguts.h
  zlib/inffast.h
  zlib/inffixed.h
  zlib/inflate.h
  zlib/inftrees.h
  zlib/trees.h
  zlib/zconf.h
  zlib/zlib.h
  zlib/zutil.h
  src/core/datetime.h
  src/core/file.h
  src/core/logging.h
  src/core/textstream.h
  src/core/usasciicodec.h
  src/core/xmlstreamwriter.h
  src/core/xmltag.h
)

string(REPLACE .cc .h FILTER_HEADERS "${FILTERS}")
set(HEADERS ${HEADERS} ${FILTER_HEADERS})

include_directories(AFTER zlib)

INCLUDE (CheckIncludeFile)
if(UNIX)
  # this is used by zlib
  CHECK_INCLUDE_FILE("unistd.h" HAVE_UNISTD_H)
  if(${HAVE_UNISTD_H})
    add_definitions(-DHAVE_UNISTD_H)
  endif()
  # this is used by zlib
  CHECK_INCLUDE_FILE("stdarg.h" HAVE_STDARG_H)
  if(${HAVE_STDARG_H})
    add_definitions(-DHAVE_STDARG_H)
  endif()
  add_definitions(-DHAVE_LIBUSB -DHAVE_GLOB)
  set(SOURCES ${SOURCES} gbser_posix.cc)
  set(HEADERS ${HEADERS} gbser_posix.h)
  set(JEEPS ${JEEPS} jeeps/gpslibusb.cc)
  include_directories(AFTER jeeps)
  add_compile_options(-O2 -Wall)
endif()

if(WIN32)
  add_definitions(-D__WIN32__ -D_CONSOLE)
  remove_definitions(-DUNICODE -DZLIB_INHIBITED)
  if(CMAKE_BUILD_TYPE STREQUAL Debug)
    add_definitions(-D_DEBUG)
  endif()
  set(SOURCES ${SOURCES} gbser_win.cc)
  set(HEADERS ${HEADERS} gbser_win.h)
  set(JEEPS ${JEEPS} jeeps/gpsusbwin.cc)
  set(LIBS ${LIBS} setupapi)
endif()

if(MSVC)
  add_definitions(-D_CRT_SECURE_NO_DEPRECATE)
  add_compile_options(/MP -wd4100)
endif()

if (UNIX AND NOT APPLE)
  add_definitions(-DHAVE_LINUX_HID)
  set(LIBS ${LIBS} usb)
endif()

if (APPLE)
  set(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} -framework IOKit -framework CoreFoundation")
  include_directories(AFTER mac/libusb)
  set(SOURCES ${SOURCES}
    mac/libusb/darwin.c
    mac/libusb/descriptors.c
    mac/libusb/error.c
    mac/libusb/usb.c
  )
  set(HEADERS ${HEADERS}
    mac/libusb/error.h
    mac/libusb/usb.h
    mac/libusb/usbi.h
  )
  add_compile_options(-Wall -Wsign-compare)
endif()

set(SOURCES
  ${SOURCES} ${ALL_FMTS} ${FILTERS} ${SUPPORT} ${SHAPE} ${ZLIB} ${JEEPS}
)
add_definitions(-DNEW_STRINGS)

# We don't care about stripping things out of the build.  Full monty, baby.
add_definitions(-DMAXIMAL_ENABLED)
add_definitions(-DFILTERS_ENABLED)
add_definitions(-DSHAPELIB_ENABLED)
add_definitions(-DCSVFMTS_ENABLED)

add_executable(GPSBabel ${SOURCES} ${HEADERS})
target_link_libraries(GPSBabel ${Qt5Core_LIBRARIES} ${LIBS})

message("Sources are:")
message("${SOURCES}")
message("Headers are:")
message("${HEADERS}")
message("Defines are:")
get_directory_property( DirDefs COMPILE_DEFINITIONS)
message("${DirDefs}")
message("Libs are:")
message("${LIBS}")

if(UNIX)
  # the tests only work if the pwd is top level source dir due to the file name getting embedded in the file nonexistent.err.
  add_custom_target(check cd ${CMAKE_SOURCE_DIR}\; PNAME=${CMAKE_BINARY_DIR}/GPSBabel ./testo DEPENDS GPSBabel)
endif()

=== gui/CMakeLists.txt ===

# It isn't clear what the minimum required version is.
# tested against 3.10.2 on ubuntu bionic 2018/07/05
# tested against 3.5.1 on ubuntu xenial 2018/07/05
# tested against MSVC 2017 which included 3.11.* 2018/07/05
cmake_minimum_required(VERSION 3.5.1)

project(gpsbabelfe)

set(CMAKE_CXX_STANDARD 14)

# Find includes in corresponding build directories
set(CMAKE_INCLUDE_CURRENT_DIR ON)
# Instruct CMake to run moc automatically when needed
set(CMAKE_AUTOMOC ON)
# Create code from a list of Qt designer ui files
set(CMAKE_AUTOUIC ON)
# Handle the Qt rcc code generator automatically
set(CMAKE_AUTORCC ON)

# Find the Qt5Core library
find_package(Qt5 COMPONENTS Core Gui Network Xml REQUIRED)
#message("Qt5Core_VERSION String describing the version of the module: \"${Qt5Core_VERSION}\"")
#message("Qt5Core_LIBRARIES List of libraries for use with the target_link_libraries command: \"${Qt5Core_LIBRARIES}\"")
#message("Qt5Core_INCLUDE_DIRS List of directories for use with the include_directories command: \"${Qt5Core_INCLUDE_DIRS}\"")
#message("Qt5Core_DEFINITIONS List of definitions for use with add_definitions: \"${Qt5Core_DEFINITIONS}\"")
#message("Qt5Core_COMPILE_DEFINITIONS List of definitions for use with the COMPILE_DEFINITIONS target property: \"${Qt5Core_COMPILE_DEFINITIONS}\"")
#message("Qt5Core_FOUND Boolean describing whether the module was found successfully: \"${Qt5Core_FOUND}\"")
#message("Qt5Core_EXECUTABLE_COMPILE_FLAGS String of flags to be used when building executables: \"${Qt5Core_EXECUTABLE_COMPILE_FLAGS}\"")
if (${Qt5Core_VERSION} VERSION_LESS 5.9)
  message(FATAL_ERROR "Qt version ${Qt5Core_VERSION} found, but version 5.9 or newer is required.")
endif()

# hard code webengine instead of webkit for now
find_package(Qt5 COMPONENTS WebEngineWidgets WebChannel REQUIRED)

set(QT_INCLUDE_DIRS ${Qt5Core_INCLUDE_DIRS} ${Qt5Gui_INCLUDE_DIRS} ${Qt5Network_INCLUDE_DIRS} ${Qt5Xml_INCLUDE_DIRS} ${Qt5WebEngineWidgets_INCLUDE_DIRS} ${Qt5WebChannel_INCLUDE_DIRS})
list(REMOVE_DUPLICATES QT_INCLUDE_DIRS)
message("QT INCLUDE DIRS: \"${QT_INCLUDE_DIRS}\"\n")

set(QT_DEFINITIONS ${Qt5Core_DEFINITIONS} ${QT5Gui_DEFINITIONS} ${Qt5Network_DEFINITIONS} ${Qt5Xml_DEFINITIONS} ${Qt5WebEngineWidgets_DEFINITIONS} ${Qt5WwebChannel_DEFINITIONS})
list(REMOVE_DUPLICATES QT_DEFINITIONS)
message("QT DEFS: \"${QT_DEFINITIONS}\"\n")

set(QT_LIBRARIES ${Qt5Core_LIBRARIES} ${Qt5Gui_LIBRARIES} ${Qt5Network_LIBRARIES} ${Qt5Xml_LIBRARIES} ${Qt5WebEngineWidgets_LIBRARIES} ${Qt5WebChannel_LIBRARIES} ${LIBUDEV_LIBRARIES} ${LIBS})
#list(REMOVE_DUPLICATES QT_LIBRARIES)
message("QT LIBS: \"${QT_LIBRARIES}\"\n")

include_directories(AFTER SYSTEM ${QT_INCLUDE_DIRS})
add_definitions(${QT_DEFINITIONS} -DHAVE_WEBENGINE)

# mac:LIBS += -framework IOKit -framework CoreFoundation

if (UNIX AND NOT APPLE)
  find_package(PkgConfig REQUIRED)
  pkg_check_modules(LIBUDEV libudev)
  if (${LIBUDEV_FOUND})
    add_definitions(-DHAVE_UDEV)
  endif()
endif()

set(RESOURCES app.qrc)

if (WIN32)
  set(RC_FILE app.rc)
endif()

if (UNIX AND NOT APPLE)
  set(TARGET gpsbabelfe)
  set(CMAKE_RUNTIME_OUTPUT_DIRECTORY GPSBabelFE)
else()
  set(TARGET GPSBabelFE)
endif()

set(FORMS
  aboutui.ui
  advui.ui
  donate.ui
  filterui.ui
  gmapui.ui
  mainwinui.ui
  miscfltui.ui
  preferences.ui
  rttrkui.ui
  trackui.ui
  upgrade.ui
  version_mismatch.ui
  wayptsui.ui
)

set(SOURCES
  aboutdlg.cc
  advdlg.cc
  donate.cc
  dpencode.cc
  filterdata.cc
  filterdlg.cc
  filterwidgets.cc
  format.cc
  formatload.cc
  gmapdlg.cc
  gpx.cc
  help.cc
  latlng.cc
  main.cc
  mainwindow.cc
  map.cc
  optionsdlg.cc
  preferences.cc
  processwait.cc
  upgrade.cc
  version_mismatch.cc
)

if (UNIX AND NOT APPLE)
  set(SOURCES ${SOURCES} serial_unix.cc)
elseif (APPLE)
  set(SOURCES ${SOURCES} serial_mac.cc)
elseif (WIN32)
  set(SOURCES ${SOURCES} serial_win.cc)
endif()

set(HEADERS
  aboutdlg.h
  advdlg.h
  appname.h
  babeldata.h
  donate.h
  filterdata.h
  filterdlg.h
  filterwidgets.h
  format.h
  formatload.h
  gmapdlg.h
  gpx.h
  help.h
  mainwindow.h
  map.h
  optionsdlg.h
  preferences.h
  processwait.h
  setting.h
  upgrade.h
  version_mismatch.h
)

add_executable(${TARGET} ${SOURCES} ${HEADERS} ${RESOURCES})
set(LIBS ${QT_LIBRARIES} ${LIBUDEV_LIBRARIES})
list(REMOVE_DUPLICATES LIBS)
target_link_libraries(${TARGET} ${LIBS})

message("Sources are: \"${SOURCES}\"\n")
message("Headers are: \"${HEADERS}\"\n")
get_directory_property(DirDefs COMPILE_DEFINITIONS)
message("Defines are: \"${DirDefs}\"\n")
get_target_property(LnkLibs ${TARGET} LINK_LIBRARIES)
message("Libs are: \"${LnkLibs}\"\n")
get_directory_property(IncDirs INCLUDE_DIRECTORIES)
message("Include Directores are: \"${IncDirs}\"\n")

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Bernd Zeimetz <bzed@debian.org>, Jochen Sprickerhof <jspricke@debian.org>
 Build-Depends: debhelper-compat (= 12),
  pkg-config,
- libexpat1-dev, expat,
+ libexpat1-dev, expat, help2man,
  libxml2-utils,
  libusb-dev, zlib1g-dev,
  libshp-dev,
@@ -13,10 +13,9 @@
  qtwebengine5-dev [amd64 arm64 armhf i386 mipsel],
  qttools5-dev-tools,
  imagemagick,
- locales-all,
- xsltproc,
- docbook-xsl
-Build-Depends-Indep: fop, docbook-xml, libpaper-dev
+ locales-all
+Build-Depends-Indep: fop, xsltproc, docbook-xml,
+ docbook-xsl, libpaper-dev 
 Standards-Version: 4.4.0
 Rules-Requires-Root: no
 Homepage: http://www.gpsbabel.org/

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DOCTEMP = $(CURDIR)/debian/doctmp
include /usr/share/dpkg/pkg-info.mk

# Extended precision on i386 results in weird bugs, so we build
# with -ffloat-store.
ifneq (,$(filter $(DEB_BUILD_ARCH),i386))
CFLAGS += -ffloat-store
endif

override_dh_auto_configure:
	dh_auto_configure -- \
		--with-zlib=system \
		--with-doc=$(DOCTEMP) \
		--prefix=/usr
	convert -resize 32x32 gui/images/appicon.png debian/gpsbabel.xpm


override_dh_installman:
	export PATH="$(CURDIR)/gpsbabel:$$PATH" ;\
	help2man 	--manual='gpsbabel documentation' \
			--section=1 \
			--name='GPS route and waypoint data converter' \
			--source='http://www.gpsbabel.org' \
			--locale=C \
			-N \
			--version-string=$(DEB_VERSION) \
			--opt-include=$(CURDIR)/debian/gpsbabel.help2man \
			-o debian/gpsbabel.1 \
			./gpsbabel
	dh_installman

override_dh_auto_build-arch:
	dh_auto_build
	if dpkg -s qtwebengine5-dev; then $(MAKE) gui; fi

override_dh_auto_build-indep:
	$(MAKE) doc
	$(MAKE) gpsbabel.html

# Ignore broken unit tests on other architectures
override_dh_auto_test:
ifneq (,$(filter $(DEB_BUILD_ARCH),amd64 armel armhf i386 mips64el mipsel m68k sh4))
	dh_auto_test
else
	dh_auto_test || true
endif

## gpsbabel 1.7.0%2Bds

=== debian/changelog ===
gpsbabel (1.7.0+ds-7+rpi1) bullseye-staging; urgency=medium

  [changes brought forward from 1.5.4-2+rpi1 by Peter Michael Green <plugwash@raspbian.org> at Thu, 26 Oct 2017 12:10:21 +0000]
  * Remove armhf from architecture list for qtwebengine build-dep, 
    we don't have (and may never have) it in Raspbian.
  * Remove armhf from architecture list for gpsbabel-gui, it
    needs the aforementioned build-dep.

 -- Raspbian forward porter <root@raspbian.org>  Thu, 22 Oct 2020 19:33:18 +0000

gpsbabel (1.7.0+ds-7) unstable; urgency=medium

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Remove qt5-default from build dependencies (Closes: #972164).
    - Replace it with qtbase5-dev, which is the appropriate one.
    - Export QT_SELECT := qt5 to let qtchooser use the right Qt version.

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 17 Oct 2020 12:37:40 +0200

gpsbabel (1.7.0+ds-6) unstable; urgency=medium

  * Set TZ for tests

 -- Jochen Sprickerhof <jspricke@debian.org>  Tue, 13 Oct 2020 22:39:49 +0200

gpsbabel (1.7.0+ds-5) unstable; urgency=medium

  * Add patch for i386 test failure

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 07 Aug 2020 15:38:18 +0200

gpsbabel (1.7.0+ds-4) unstable; urgency=medium

  * Add patch for endianness issues

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 07 Aug 2020 11:31:04 +0200

gpsbabel (1.7.0+ds-3) unstable; urgency=medium

  * Fix test logic

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 10 Jul 2020 16:13:04 +0200

gpsbabel (1.7.0+ds-2) unstable; urgency=medium

  * Update arch list that ignore test result

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 10 Jul 2020 15:09:25 +0200

gpsbabel (1.7.0+ds-1) unstable; urgency=medium

  * New upstream version
  * Update file excludes
  * Update d/copyright
  * Simplify d/watch
  * rebase patches
  * bump debhelper version (no changes)
  * Depend on libusb-1.0-0-dev (Closes: #810420)

 -- Jochen Sprickerhof <jspricke@debian.org>  Thu, 09 Jul 2020 21:54:33 +0200

gpsbabel (1.6.0+ds-11) unstable; urgency=medium

  * Add patch for strcmp (Closes: #957304)
  * bump policy version (no changes)

 -- Jochen Sprickerhof <jspricke@debian.org>  Tue, 21 Apr 2020 19:40:57 +0200

=== debian/control ===
--- 
+++ 
@@ -3,20 +3,21 @@
 Priority: optional
 Maintainer: Debian GPS team <gpsbabel@packages.debian.org>
 Uploaders: Bernd Zeimetz <bzed@debian.org>, Jochen Sprickerhof <jspricke@debian.org>
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
  pkg-config,
- libexpat1-dev, expat, help2man,
+ libexpat1-dev, expat,
  libxml2-utils,
- libusb-dev, zlib1g-dev,
+ libusb-1.0-0-dev, zlib1g-dev,
  libshp-dev,
- qt5-default,
- qtwebengine5-dev [amd64 arm64 armhf i386 mipsel],
+ qtbase5-dev,
+ qtwebengine5-dev [amd64 arm64 i386 mipsel],
  qttools5-dev-tools,
  imagemagick,
- locales-all
-Build-Depends-Indep: fop, xsltproc, docbook-xml,
- docbook-xsl, libpaper-dev 
-Standards-Version: 4.4.0
+ locales-all,
+ xsltproc,
+ docbook-xsl
+Build-Depends-Indep: fop, docbook-xml, libpaper-dev
+Standards-Version: 4.5.0
 Rules-Requires-Root: no
 Homepage: http://www.gpsbabel.org/
 Vcs-Git: https://salsa.debian.org/debian-gps-team/pkg-gpsbabel.git
@@ -73,7 +74,7 @@
  This package contains the detailed documentation of gpsbabel.
 
 Package: gpsbabel-gui
-Architecture: amd64 arm64 armhf i386 mipsel
+Architecture: amd64 arm64 i386 mipsel
 Depends: ${shlibs:Depends}, ${misc:Depends}, gpsbabel (= ${binary:Version})
 Description: GPS file conversion plus transfer to/from GPS units - GUI
  GPSBabel converts waypoints, tracks, and routes from one format to
